Perform various operations for Symitar parameters.
Operations
getTellerTranFee
POST
Retrieve TellerTranFee parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
TellerTranFeeFeeCodeintegeroptionalTellerTranFeeTypeCodeintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/getTellerTranFeePOST /nexum/627/2022.01/parameter/getTellerTranFee HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"TellerTranFeeFeeCode": 0,
"TellerTranFeeTypeCode": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getTellerTranFeeSelectFields
POST
Retrieve TellerTranFee parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
TellerTranFeeFeeCodeintegeroptionalTellerTranFeeTypeCodeintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/getTellerTranFeeSelectFieldsPOST /nexum/627/2022.01/parameter/getTellerTranFeeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"TellerTranFeeFeeCode": 0,
"TellerTranFeeTypeCode": 0,
"SelectableFields": {
"TellerTranFeeFields": {
"FeeCode": true,
"TypeCode": true,
"FeeOption": true
}
}
}updateTellerTranFeeByID
POST
Update TellerTranFee parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
TellerTranFeeFeeCodeintegeroptionalTellerTranFeeTypeCodeintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/updateTellerTranFeeByIDPOST /nexum/627/2022.01/parameter/updateTellerTranFeeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"TellerTranFeeFeeCode": 0,
"TellerTranFeeTypeCode": 0,
"TellerTranFeeUpdatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}